/* ========================================
 *  TubeDesk - TubeDesk.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "TubeDesk.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::TubeDesk {

TubeDesk::TubeDesk()
{
	for(int count = 0; count < 4999; count++) {dL[count] = 0; dR[count] = 0;}
	gcount = 0;
	
	controlL = 0;
	lastSampleL = 0.0;
	lastOutSampleL = 0.0;
	lastSlewL = 0.0;
	
	controlR = 0;
	lastSampleR = 0.0;
	lastOutSampleR = 0.0;
	lastSlewR = 0.0;
	
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int TubeDesk::getParameterCount() const
{
	return kNumParameters;
}

void TubeDesk::setParameter(int index, float value) {
}

float TubeDesk::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void TubeDesk::getParameterName(int index, char *text) {
}

void TubeDesk::getParameterDisplay(int index, char *text) {
}

void TubeDesk::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
